
Base Language - Bug #8579

Unit and OEUnit conversion: ignore annotations from other framework

04/03/2024 02:46 PM - Vladimir Tsichevski

Status: Test Start date:  

Priority: Normal Due date:  

Assignee: Vladimir Tsichevski % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 04/03/2024 02:51 PM - Vladimir Tsichevski

Currently, if a test 4gl source includes both ABLUnit annotations and OEUnit annotations, all these annotations are converted regardless of the unit

testing flavor configured for this source.

Annotations specific for other flavor must be (silently or not) ignored by conversion rules.

#2 - 04/03/2024 03:10 PM - Vladimir Tsichevski

- Status changed from New to WIP

#3 - 04/03/2024 03:11 PM - Vladimir Tsichevski

- Status changed from WIP to Review

- % Done changed from 0 to 100

Fixed in 8579a rev. 15120. Please, review.

#4 - 04/03/2024 06:05 PM - Greg Shah

- Assignee set to Vladimir Tsichevski

- Status changed from Review to Internal Test

Code Review Task Branch 8579a Revision 15120

I think the code would be simpler and easier to read if you create a variable named ablunit that is reset for every file, and initialize it using

execLib("is_abl_unit").  Then use that instead of execLib("is_abl_unit").  You can also use !ablunit for the OEUnit cases.

#5 - 04/04/2024 11:20 AM - Vladimir Tsichevski

- Assignee deleted (Vladimir Tsichevski)

Greg Shah wrote:

Code Review Task Branch 8579a Revision 15120

I think the code would be simpler and easier to read if you create a variable named ablunit that is reset for every file, and initialize it using

execLib("is_abl_unit").  Then use that instead of execLib("is_abl_unit").  You can also use !ablunit for the OEUnit cases.
Done. Rev. 15121.

#6 - 04/04/2024 12:58 PM - Greg Shah

Code Review Task Branch 8579a Revision 15121

The change is good.

What additional testing is needed?

#7 - 04/04/2024 01:14 PM - Vladimir Tsichevski

Greg Shah wrote:

Code Review Task Branch 8579a Revision 15121

The change is good.

What additional testing is needed?

 

I re-converted the ABLUnit TestOO.cls from #8574, and now it has no unit test Java annotation converted from the OEUnit annotation.

I think, no other testing is needed.

#8 - 04/04/2024 04:23 PM - Greg Shah

- Status changed from Internal Test to Merge Pending

- Assignee set to Vladimir Tsichevski

You can merge 8579a to trunk now.

#9 - 04/04/2024 05:21 PM - Vladimir Tsichevski

Greg Shah wrote:

You can merge 8579a to trunk now.

 

Done. Rev. 15123.
#10 - 04/04/2024 05:26 PM - Greg Shah

- Status changed from Merge Pending to Test
